classification
Title: test_distutils fails for Windows debug build
Type: behavior Stage: resolved
Components: Distutils, Windows Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: dstufft, eric.araujo, pablogsal, paul.moore, petr.viktorin, scoder, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2020-02-05 04:59 by steve.dower, last changed 2020-02-18 21:39 by petr.viktorin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18357 merged steve.dower, 2020-02-05 05:04
PR 18548 merged miss-islington, 2020-02-18 13:36
PR 18546 miss-islington, 2020-02-18 13:37
Messages (4)
msg361406 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-02-05 04:59
From https://buildbot.python.org/all/#/builders/129/builds/306

======================================================================
FAIL: test_unicode_module_names (distutils.tests.test_build_ext.BuildExtTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\3.x.bolen-windows10\build\lib\distutils\tests\test_build_ext.py", line 315, in test_unicode_module_names
    self.assertRegex(cmd.get_ext_filename(modules[0].name), r'foo\..*')
AssertionError: Regex didn't match: 'foo\\..*' not found in 'foo_d.cp39-win_amd64.pyd'
======================================================================
FAIL: test_unicode_module_names (distutils.tests.test_build_ext.ParallelBuildExtTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\3.x.bolen-windows10\build\lib\distutils\tests\test_build_ext.py", line 315, in test_unicode_module_names
    self.assertRegex(cmd.get_ext_filename(modules[0].name), r'foo\..*')
AssertionError: Regex didn't match: 'foo\\..*' not found in 'foo_d.cp39-win_amd64.pyd'
msg361470 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-02-06 04:48
New changeset ab0d892288f3058856a8213333e8c3e4ed8a562b by Steve Dower in branch 'master':
bpo-39555: Fix distutils test to handle _d suffix on Windows debug build (GH-18357)
https://github.com/python/cpython/commit/ab0d892288f3058856a8213333e8c3e4ed8a562b
msg362214 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-18 13:52
This issue is related to bpo-39432.

commit 9538bc9185e934bee2bd5ae2cda2b2e92a61906d
Author: Stefan Behnel <stefan_ml@behnel.de>
Date:   Tue Feb 4 16:24:30 2020 +0100

    bpo-39432: Implement PEP-489 algorithm for non-ascii "PyInit_*" symbol names in distutils (GH-18150)
    
    
    
    Make it export the correct init symbol also on Windows.
    
    
    
    https://bugs.python.org/issue39432
msg362236 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-02-18 21:39
New changeset d77e77116fa7a9fc85be1d9f417c7e9e33fe1296 by Miss Islington (bot) in branch '3.8':
bpo-39555: Fix distutils test to handle _d suffix on Windows debug build (GH-18357) (GH-18548)
https://github.com/python/cpython/commit/d77e77116fa7a9fc85be1d9f417c7e9e33fe1296
History
Date User Action Args
2020-02-18 21:39:31petr.viktorinsetnosy: + petr.viktorin
messages: + msg362236
2020-02-18 13:52:54vstinnersetnosy: + vstinner
messages: + msg362214
2020-02-18 13:37:13miss-islingtonsetpull_requests: + pull_request17927
2020-02-18 13:36:41miss-islingtonsetpull_requests: + pull_request17926
2020-02-06 04:48:34steve.dowersetstatus: open -> closed
assignee: steve.dower
resolution: fixed
stage: patch review -> resolved
2020-02-06 04:48:18steve.dowersetmessages: + msg361470
2020-02-05 05:04:45steve.dowersetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request17732
2020-02-05 04:59:17steve.dowercreate